set more off

**************************************************************************
**************************************************************************
**   ONLINE APPENDIX TABLE C.3: EFFECT ON KINGERGARTEN MATH SCORES FOR 
**  THE VARIOUS SUBSAMPLES OF STUDENTS OBSERVED WITH LATER TEST SCORES
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

eststo clear

qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g1math_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g2math_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g3math_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & math91_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & math92_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & math93_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & math94_std != ., absorb(gkschoolid) cluster(gkclassid)

esttab, mtitles("G1" "G2" "G3" "G5" "G6" "G7" "G8") keep(gkclass_ofgrep_dummy) label r2 compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
